Hermos API

List Affiliate Requests

Join, more-programs and custom-rate requests, newest first; filter by status, kind, affiliate or program.

GET/affiliate_requests

Join, more-programs and custom-rate requests, newest first; filter by status, kind, affiliate or program.

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

cursor?string

Opaque signed cursor. Return it unchanged; valid for 24 hours.

Length1 <= length <= 8192
limit?integer
Range1 <= value <= 100
Default50
status?string

Value in

  • "pending"
  • "approved"
  • "declined"
kind?string

Value in

  • "join"
  • "more_programs"
  • "custom_rate"
affiliate?string

Opaque affiliate ID.

Match^aff_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])
program?string

Opaque affiliate program ID.

Match^prg_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/affiliate_requests"
{  "data": [    {      "id": "string",      "livemode": true,      "affiliate_id": "string",      "program_id": "string",      "kind": "join",      "status": "pending",      "note": "string",      "decided_at": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "next_cursor": "string",    "has_more": true,    "as_of": "2019-08-24T14:15:22Z"  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "source": "primary"}